--- chrome/browser/browser_theme_provider_gtk.cc
+++ chrome/browser/browser_theme_provider_gtk.cc
@@ -32,12 +32,15 @@ GdkPixbuf* BrowserThemeProvider::GetPixbufImpl(int id, bool rtl_enabled) const {
 
   // We loaded successfully.  Cache the pixbuf.
   if (pixbuf) {
+  // TODO(benl): reinstate this when the GDK port is upgraded.
+#if !defined(OS_FREEBSD)
     if ((l10n_util::GetTextDirection() == l10n_util::RIGHT_TO_LEFT) &&
         rtl_enabled) {
       GdkPixbuf* original_pixbuf = pixbuf;
       pixbuf = gdk_pixbuf_flip(pixbuf, TRUE);
       g_object_unref(original_pixbuf);
     }
+#endif
 
     gdk_pixbufs_[key] = pixbuf;
     return pixbuf;
diff --git chrome/browser/chrome_thread.cc chrome/browser/chrome_thread.cc
index 65e33e7..74a9c3c 100644
